WM-ICONS-CONFIG(1)

NAME
wm-icons-config - show and set configuration for wm-icons

SYNOPSIS
wm-icons-config [options] NAME [ICON_SET] ...

DESCRIPTION
This show wm-icons package configuration, and the list of installed icon sets. It also is used to set aliases to icon-sets in system or user space. In the synopsis above, NAME is icon alias name, ICON_SET is icon set directory (for example: mini 16x16-default). If NAME already exists as an alias, it is not overwritten, unless the --force option is given. Explicit NAMEs override --defaults. Just the alias names are given for --which and --remove options.

OPTIONS

  Informational options: display info and exit

--help
    Print a short usage message

--version
    Show version number and exit

--inst-dir
    Show wm-icons installed icon directory and exit

--user-dir
    Show wm-icons user icon directory and exit

--show-defaults
    Show default aliases and exit

--show-aliases
    Show the aliases currently present. One of --global, --personal, --user-dir must be given

--show-sets
    Show a list of installed icon sets

  Directory selection options: precisely one of these must be given

--global
    Set up global (system-wide) links in the base dir

--personal
    Set up personal links in ~/.wm-icons

--user-dir=USER_DIR
    Set up links in USER_DIR

  Choice of links: at least one of these must be given

--defaults
    Set up default aliases, as shown by --show-defaults

  Extra options

--remove
    Remove the symlinks rather than creating them, return (0, 1)

--which
    Show the icon set for the given alias(es), return (0, 1)

--quiet
    Do not output results of alias manipulating to stdout

--force
    Force overwriting of existing symlinks

BUGS
None known.

AUTHORS
Mikhael Goikhman <migo (at) cpan.org> and others (see file AUTHORS). This manual page was initially written by Manoj Srivastava <srivasta@debian.org>, for the Debian GNU/Linux system.